Subject: BIRD 45

From: [email-masked] (Neven Orhanovic)
Date: Fri, 31 Oct 1997 18:08:54 -0800 (PST)

Here is a proposal in response to a new clamping structure 
that needs to be modeled.

Regards,
Neven

******************************************************************************
******************************************************************************

BIRD ID#:       45
ISSUE TITLE:    Dynamic Clamps
REQUESTER:      Neven Orhanovic and Bob Ross, Interconnectix
DATE SUBMITTED: 10/31/97
DATE ACCEPTED BY IBIS OPEN FORUM: 

******************************************************************************
******************************************************************************

STATEMENT OF THE ISSUE:

A novel type of termination technique is used in today's integrated circuits.
The termination consists of a pair of built in dynamic clamps whose V-I
curves change with time. The clamp is switched "on" when needed and switched 
"off" otherwise (to conserve power). When the clamp is switched "on" its V-I 
curve provides more clamping than a regular static clamp and when it is 
turned "off" it behaves like a normal clamp. 

The "on" switching of the dynamic clamps can be triggered by an input signal 
crossing a triggering threshold or by some external clock. The "off" switching 
can be triggered by a built in timer or an external clock.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

The [Dynamic GND Clamp] and [Dynamic POWER Clamp] keywords are introduced 
under the [Model] keyword to describe dynamic ground and power clamps,
respectively. 

|==============================================================================
| Keywords:     [Dynamic GND Clamp], [Dynamic POWER Clamp]
| Required:     No.
| Description:  Describes ground and power clamps that are switched on and off 
|               dynamically.
|
| Subparameters: V_trigger, V_offset,
|                T_delay, T_on, T_width, T_off.
|
| Usage Rules:  The [Dynamic GND Clamp] specification consists of a set of 
|               subparameters describing the switching characteristics of 
|               the clamp and a V-I curve (table). The V-I table describes 
|               the dynamic clamp in its "off" state. The voltages in it 
|               are referenced to the corresponding rail voltage (using 
|               the same rules as the regular ground and power clamps,
|               [GND_clamp] and [POWER_clamp]). When the clamp is in its 
|               "on" state, the V-I curve is offset by the offset voltage 
|               amplitude, V_offset, described below. The switching 
|               characteristics are described by the following 
|               subparameters.
|               
|                 V_trigger - input threshold voltage at which the dynamic 
|                             clamp turns on. This voltage is expressed 
|                             relative to the corresponding rail voltage. 
|
|                 V_offset  - the voltage by which the V-I curve is shifted 
|                             in its on state.
|
|                 T_delay   - delay time from the input crossing V_trigger 
|                             to the beginning of the clamp turn "off" to 
|                             "on" transition.
|
|                 T_on      - the time it takes the clamp to transition from 
|                             "off" to "on".
|
|                 T_off     - the time it takes the clamp to transition from 
|                             "on" to "off".
|                 
|                 T_width   - the time during which the clamp is in its "on" 
|                             state.
|
|               These subparameters are and the resulting V-I characteristics
|               of the dynamic clamp are illustrated below.
|
|
|                            Clamp input voltage vs. time.
|
|                         o o o o o 
|                        o
|                       o
|                      o -------
|                     o|       ^ 
|                    o |       | V_trigger
|                   o  |       v            time
|                o o   | -------         -------->
|                      |
|                      |              
|                      |      Clamp offset voltage vs. time.
|                      |
|                      |                 T_width
|                      |             |<----------->|  
|                      |
|                      |             o o o o o o o o           ---  
|                      |            o               o           ^
|                      |           o                 o          |
|                      |          o                   o         | V_offset
|                      |         o                     o        |
|                      |        o                       o       v   time
|                  o o o o o o o                         o o o -------->
|                      
|                       T_delay           
|                      |<----->| T_on               T_off 
|                              |<--->|             |<--->| 
|      
|                 
|                 Clamp V-I characteristics (e.g., [Dynamic GND Clamp]):
|
|                                  ^ I
|                                  |
|                                  |
|                                  |
|                                  |
|                            o o o o---x-x-x---------------> V
|                           o         x
|                          o         x
|
|                         o         x <--Clamp V-I curve when in "on" state
|
|                        o <-- Clamp V-I curve when in "off" state
|
|------------------------------------------------------------------------------
|
| Example: 
|
[Dynamic GND Clamp]
|
V_trigger = 0.4 V
V_offset  = 0.9 V
T_delay   = 0.5 ns
T_on      = 1 ns 
T_width   = 6 ns 
T_off     = 1 ns
|
|  Voltage        I(typ)       I(min)        I(max)
|
    -5.000     -3.300e+01    -3.000e+01    -3.500e+01
    -4.000     -2.300e+01    -2.200e+01    -2.400e+01
    -3.000     -1.300e+01    -1.200e+01    -1.400e+01
    -2.000     -3.000e+00    -2.300e+00    -3.700e+00
    -1.900     -2.100e+00    -1.500e+00    -2.800e+00
    -1.800     -1.300e+00    -8.600e-01    -1.900e+00
    -1.700     -6.800e-01    -4.000e-01    -1.100e+00
    -1.600     -2.800e-01    -1.800e-01    -5.100e-01
    -1.500     -1.200e-01    -9.800e-02    -1.800e-01
    -1.400     -7.500e-02    -7.100e-02    -8.300e-02
    -1.300     -5.750e-02    -5.700e-02    -5.900e-02
    -1.200     -4.600e-02    -4.650e-02    -4.550e-02
    -1.100     -3.550e-02    -3.700e-02    -3.450e-02
    -1.000     -2.650e-02    -2.850e-02    -2.500e-02
    -0.900     -1.850e-02    -2.100e-02    -1.650e-02
    -0.800     -1.200e-02    -1.400e-02    -9.750e-03
    -0.700     -6.700e-03    -8.800e-03    -4.700e-03
    -0.600     -3.000e-03    -4.650e-03    -1.600e-03
    -0.500     -9.450e-04    -1.950e-03    -3.650e-04
    -0.400     -5.700e-05    -2.700e-04    -5.550e-06
    -0.300     -1.200e-06    -1.200e-05    -5.500e-08
    -0.200     -3.000e-08    -5.000e-07     0.000e+00
    -0.100      0.000e+00     0.000e+00     0.000e+00
     0.000      0.000e+00     0.000e+00     0.000e+00
     5.000      0.000e+00     0.000e+00     0.000e+00
|
|
[Dynamic POWER Clamp]
|
V_trigger = -0.4 V
V_offset  = -0.9 V
T_delay   =  0.5 ns
T_on      =  1 ns 
T_width   =  6 ns 
T_off     =  1 ns
|
|  Voltage        I(typ)        I(min)        I(max)
|
    -5.000      1.150e+01     1.100e+01     1.150e+01
    -4.000      7.800e+00     7.500e+00     8.150e+00
    -3.000      4.350e+00     4.100e+00     4.700e+00
    -2.000      1.100e+00     8.750e-01     1.300e+00
    -1.900      8.000e-01     6.050e-01     1.000e+00
    -1.800      5.300e-01     3.700e-01     7.250e-01
    -1.700      2.900e-01     1.800e-01     4.500e-01
    -1.600      1.200e-01     6.850e-02     2.200e-01
    -1.500      3.650e-02     2.400e-02     6.900e-02
    -1.400      1.200e-02     1.100e-02     1.600e-02
    -1.300      6.300e-03     6.650e-03     6.100e-03
    -1.200      4.200e-03     4.750e-03     3.650e-03
    -1.100      2.900e-03     3.500e-03     2.350e-03
    -1.000      1.900e-03     2.450e-03     1.400e-03
    -0.900      1.150e-03     1.600e-03     7.100e-04
    -0.800      5.500e-04     9.150e-04     2.600e-04
    -0.700      1.200e-04     4.400e-04     5.600e-05
    -0.600      5.400e-05     1.550e-04     1.200e-05
    -0.500      1.350e-05     5.400e-05     1.300e-06
    -0.400      8.650e-07     7.450e-06     4.950e-08
    -0.300      6.250e-08     7.550e-07     0.000e+00
    -0.200      0.000e+00     8.400e-08     0.000e+00
    -0.100      0.000e+00     0.000e-08     0.000e+00
     0.000      0.000e+00     0.000e+00     0.000e+00
|
|==============================================================================

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

The proposal is designed to retain as much of the existing IBIS clamp syntax 
as possible. The dynamic clamp V-I curve tables follow all of the 
conventions of the existing V-I tables. 

The overall structure is to connect a dynamic clamp to the same rail
voltage as its corresponding regular clamp. The dynamic clamps V-I
curve is shifted according to the offset voltage pulse.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

******************************************************************************